2019-10-19 00:00 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002236FSSCPFREDpublic2010-06-27 04:30
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.12 RC3 
Target VersionFixed in Version3.6.12 
Summary0002236: Get FRED to default to mod\data\missions instead of my documents
DescriptionIt's more a feature then a bug but Goob told me to file it due to the my documents part. Anyway since FRED can or will be able to read the mod from the launcher data it would be a nice feature to defult to the currently selected mods data\mission folder or just data\missions if no mod selected.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012127

FUBAR-BDHR (developer)

Some additional info. There are also problems with saving after doing things like browsing to skyboxes or ani files. If you do your missions end up there instead of missions. This should also be fixed.

I have a feeling a lot of this is tied into the info being stored in the registry which I believe is a dependency that is to be removed anyway.

~0012147

Goober5000 (administrator)

It looks like it won't be possible to have FRED default to a mod directory, since if -mod uses more than one mod, it's not really possible to tell which mod you want to work with. However, the next best thing is to search from the previously opened file or from the FRED exe folder, which can be done.

It also looks like the skybox/ani browsing thing would be more trouble than it's worth to fix until we get to wxFRED.

Fixed in 6267.
+Notes

-Issue History
Date Modified Username Field Change
2010-06-22 20:45 FUBAR-BDHR New Issue
2010-06-23 00:51 Goober5000 Status new => assigned
2010-06-23 00:51 Goober5000 Assigned To => Goober5000
2010-06-23 01:39 FUBAR-BDHR Note Added: 0012127
2010-06-27 04:30 Goober5000 Note Added: 0012147
2010-06-27 04:30 Goober5000 Status assigned => resolved
2010-06-27 04:30 Goober5000 Resolution open => fixed
2010-06-27 04:30 Goober5000 Fixed in Version => 3.6.12
+Issue History